#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main()
{
    ll t;
    ll N;
    ll M;
    cin>>t;
    while(t--){
        cin>>N>>M;
        if(N!=M){
            cout<<-1<<endl;
        }
        else{
            vector<vector<ll>> m(N, vector<ll>(N));
            for(int i=0; i<N; i++){
                    for(int j=0; j<N; j++){
                        if(i==0){
                            m[i][j]=1;
                        }
                        else if(j==0){
                            m[i][j]=1;
                        }
                        else if(j>=N-i){
                            m[i][j]=1;
                        }
                        else{
                            m[i][j]=0;
                        }
                    }
            }
            for(int i=0; i<N; i++){
                for(int j=0; j<N; j++){
                    cout<<m[i][j]<<" ";
                }
                cout<<endl;
        }
    }
        }
    return 0;
}